TESTING/EIG/sget36.f(3)

NAME
TESTING/EIG/sget36.f

SYNOPSIS

  Functions/Subroutines
subroutine sget36 (rmax, lmax, ninfo, knt, nin)
SGET36

Function/Subroutine Documentation

  subroutine sget36 (real rmax, integer lmax, integer, dimension( 3 ) ninfo, integer knt, integer nin)

SGET36

Purpose:

    !>
    !> SGET36 tests STREXC, a routine for moving blocks (either 1 by 1 or
    !> 2 by 2) on the diagonal of a matrix in real Schur form.  Thus, SLAEXC
    !> computes an orthogonal matrix Q such that
    !>
    !>    Q' * T1 * Q  = T2
    !>
    !> and where one of the diagonal blocks of T1 (the one at row IFST) has
    !> been moved to position ILST.
    !>
    !> The test code verifies that the residual Q'*T1*Q-T2 is small, that T2
    !> is in Schur form, and that the final position of the IFST block is
    !> ILST (within +-1).
    !>
    !> The test matrices are read from a file with logical unit number NIN.
    !>

Parameters
    RMAX

    !>          RMAX is REAL
    !>          Value of the largest test ratio.
    !>

    LMAX

    !>          LMAX is INTEGER
    !>          Example number where largest test ratio achieved.
    !>

    NINFO

    !>          NINFO is INTEGER array, dimension (3)
    !>          NINFO(J) is the number of examples where INFO=J.
    !>

    KNT

    !>          KNT is INTEGER
    !>          Total number of examples tested.
    !>

    NIN

    !>          NIN is INTEGER
    !>          Input logical unit number.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 87 of file sget36.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.